<!doctype html>
<html>
<head>
    <title>Tor 0.3.4.4-rc is released! | The Tor Project</title>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="monetization" content="$ilp.uphold.com/pYfXb92JBQN4">
    <link rel="stylesheet" href="../static/css/style.css?h=5fc6c25a">
    <link rel="stylesheet" href="../static/fonts/fontawesome/css/all.min.css?h=9d272f6a">
    <link rel="stylesheet" href="../static/pygments.css">
    <link rel="icon" type="image/x-icon" href="../static/images/favicon/favicon.ico">
    <link rel="icon" type="image/png" href="../static/images/favicon/favicon.png">
    <meta property="og:title" content="Tor 0.3.4.4-rc is released! | Tor Project">
    <meta property="og:description" content="Hi! There&#39;s a new release candidate available for download. If you build Tor from source, you can download the source code for 0.3.4.4-rc from the usual place on the website. Packages should be available over the coming weeks, with a new alpha Tor Browser release likely some time in MulyJuly. Remember, this is a release candidate: you should only run this if you&#39;d like to find and report more bugs than usual. Tor 0.3.4.4-rc fixes several small compilation, portability, and correctness issues in previous versions of Tor. This version is a release candidate: if no serious bugs are found, we expect that the stable 0.3.4 release will be (almost) the same as this release. Changes in version 0.3.4.4-rc - 2018-07-09 Minor features (compilation): When building Tor, prefer to use Python 3 over Python 2, and more recent (contemplated) versions over older ones. Closes ticket 26372. Minor features (geoip): Update geoip and geoip6 to the July 3 2018 Maxmind GeoLite2 Country database. Closes ticket 26674.">
    <meta property="og:image" content="https://blog.torproject.org/static/images/lead.png">
    <meta property="og:url" content="https://blog.torproject.org/tor-0344-rc-released/">
    <meta name="twitter:card" content="summary_large_image">
</head>
<body>
  <header>
    <nav>
      <a class="navbar-brand" href="../"><img alt="Tor Blog" src="../static/images/logo.png" /></a>
      <ul class="navbar-nav">
          <li><a href="https://www.torproject.org/about/history/">About</a></li>
          <li><a href="https://support.torproject.org/">Support</a></li>
          <li><a href="https://community.torproject.org/">Community</a></li>
          <li><a href="https://forum.torproject.org/">Forum</a></li>
          <li><a href="https://donate.torproject.org/">Donate</a></li></ul>
    </nav>
  </header>
  <section class="content">
    <main>
  <article class="blog-post">
      <h1 class="title">
        Tor 0.3.4.4-rc is released!
      </h1>
    <p class="meta">by nickm | July 9, 2018</p>
    <picture>
      <source media="(min-width:415px)" srcset="../static/images/lead.webp" type="image/webp">
<source srcset="../static/images/lead_small.webp" type="image/webp">

      <img class="lead" src="../static/images/lead.png">
    </picture>
    <div class="body">
      <link rel="stylesheet" href="../static/css/legacy.css?h=21ddbb2d">
      <p>Hi!  There's a new release candidate available for download.  If you build Tor from source, you can download the source code for 0.3.4.4-rc from the usual place on the website.  Packages should be available over the coming weeks, with a new alpha Tor Browser release likely some time in <s>Muly</s>July.</p>
<p>Remember, this is a release candidate: you should only run this if you'd like to find and report more bugs than usual.</p>
<p> </p>
<p>Tor 0.3.4.4-rc fixes several small compilation, portability, and correctness issues in previous versions of Tor. This version is a release candidate: if no serious bugs are found, we expect that the stable 0.3.4 release will be (almost) the same as this release.</p>
<h2>Changes in version 0.3.4.4-rc - 2018-07-09</h2>
<ul>
<li>Minor features (compilation):
<ul>
<li>When building Tor, prefer to use Python 3 over Python 2, and more recent (contemplated) versions over older ones. Closes ticket <a href="https://bugs.torproject.org/26372">26372</a>.</li>
</ul>
</li>
<li>Minor features (geoip):
<ul>
<li>Update geoip and geoip6 to the July 3 2018 Maxmind GeoLite2 Country database. Closes ticket <a href="https://bugs.torproject.org/26674">26674</a>.</li>
</ul>
</li>
</ul>
<p> </p>
<!--break--><ul>
<li>Minor features (Rust, portability):
<ul>
<li>Rust cross-compilation is now supported. Closes ticket <a href="https://bugs.torproject.org/25895">25895</a>.</li>
</ul>
</li>
<li>Minor bugfixes (compilation):
<ul>
<li>Fix a compilation warning on some versions of GCC when building code that calls routerinfo_get_my_routerinfo() twice, assuming that the second call will succeed if the first one did. Fixes bug <a href="https://bugs.torproject.org/26269">26269</a>; bugfix on 0.2.8.2-alpha.</li>
</ul>
</li>
<li>Minor bugfixes (control port):
<ul>
<li>Report the port correctly when a port is configured to bind to "auto". Fixes bug <a href="https://bugs.torproject.org/26568">26568</a>; bugfix on 0.3.4.1-alpha.</li>
<li>Handle the HSADDRESS= argument to the HSPOST command properly. (Previously, this argument was misparsed and thus ignored.) Fixes bug <a href="https://bugs.torproject.org/26523">26523</a>; bugfix on 0.3.3.1-alpha. Patch by "akwizgran".</li>
</ul>
</li>
<li>Minor bugfixes (correctness, flow control):
<ul>
<li>Upon receiving a stream-level SENDME cell, verify that our window has not grown too large. Fixes bug <a href="https://bugs.torproject.org/26214">26214</a>; bugfix on svn r54 (pre-0.0.1).</li>
</ul>
</li>
<li>Minor bugfixes (memory, correctness):
<ul>
<li>Fix a number of small memory leaks identified by coverity. Fixes bug <a href="https://bugs.torproject.org/26467">26467</a>; bugfix on numerous Tor versions.</li>
</ul>
</li>
<li>Minor bugfixes (testing, compatibility):
<ul>
<li>When running the hs_ntor_ref.py test, make sure only to pass strings (rather than "bytes" objects) to the Python subprocess module. Python 3 on Windows seems to require this. Fixes bug <a href="https://bugs.torproject.org/26535">26535</a>; bugfix on 0.3.1.1-alpha.</li>
<li>When running the ntor_ref.py test, make sure only to pass strings (rather than "bytes" objects) to the Python subprocess module. Python 3 on Windows seems to require this. Fixes bug <a href="https://bugs.torproject.org/26535">26535</a>; bugfix on 0.2.5.5-alpha.</li>
</ul>
</li>
</ul>

    </div>
  <div class="comments">
      <h2>Comments</h2>
      <p>Please note that the comment area below has been archived.</p>
      <a id="comment-276102"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-276102" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">July 09, 2018</p>
    </div>
    <a href="#comment-276102">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-276102" class="permalink" rel="bookmark">...Browser release likely…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><blockquote><p>...Browser release likely some time in <b>Muly</b></p></blockquote>
<p>Should be  July</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-276161"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-276161" class="contextual-region comment js-comment" id="comment-">
  <footer class="comment__meta">
    <article class="contextual-region">
  arma
  </article>
    <div class="comment-header">
      <p class="comment__submitted">arma said:</p>
      <p class="date-time">July 18, 2018</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-276102" class="permalink" rel="bookmark">...Browser release likely…</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-276161">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-276161" class="permalink" rel="bookmark">You are right.
Let&#039;s hope…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>You are right.</p>
<p>Let's hope it sticks to July!</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div>
  </div>
  </article>

</main>
    <aside class="sidebar">
<!-- ##SIDEBAR## -->
</aside>
  </section>
  <footer><div class="row download">
    <div class="col circles"></div>
    <div class="col link">
        <h3>Download Tor Browser</h3>
        <p>Download Tor Browser to experience real private browsing without tracking, surveillance, or censorship.</p>
        <a class="btn" href="https://www.torproject.org/download/">Download Tor Browser <i class="fas fa-arrow-down-png-purple"></i></a>
    </div>
</div>
<div class="row social">
    <div class="col newsletter">
        <h3>Subscribe to our Newsletter</h3>
        <p>Get monthly updates and opportunities from the Tor Project:</p>
        <p class="w"><a class="btn btn-dark" role="button" href="https://newsletter.torproject.org/">Sign up</a></p>
    </div>
    <div class="col links">
        <div class="row">
            <h4><a target="_blank" href="https://www.facebook.com/TorProject/"><i class="fab fa-facebook"></i></a></h4>
            <h4><a target="_blank" href="https://mastodon.social/@torproject" rel="me"><i class="fab fa-mastodon"></i></a></h4>
            <h4><a target="_blank" href="https://twitter.com/torproject"><i class="fab fa-twitter"></i></a></h4>
        </div>
        <div class="row">
            <h4><a target="_blank" href="https://www.instagram.com/torproject"><i class="fab fa-instagram"></i></a></h4>
            <h4><a target="_blank" href="https://www.linkedin.com/company/tor-project"><i class="fab fa-linkedin"></i></a></h4>
            <h4><a target="_blank" href="https://github.com/torproject"><i class="fab fa-github"></i></a></h4>
        </div>
        <div class="row">
            <h4><a target="_blank" href="https://t.me/torproject"><i class="fab fa-telegram"></i></a></h4>
        </div>
    </div>
</div>
<div class="row notice">
    <p>Trademark, copyright notices, and rules for use by third parties can be found in our <a href="https://www.torproject.org/about/trademark/">FAQ</a>.</p>
</div></footer>
</body>
</html>
